javax.portlet

## Interface EventRequest

All Superinterfaces:
  PortletRequest

All Known Implementing Classes:
  EventRequestWrapper

    public interface EventRequest
    extends PortletRequest

The `EventRequest` represents the request sent to the portlet to handle an event. It extends the PortletRequest interface to provide event request information to portlets.
The portlet container creates an `EventRequest` object and passes it as argument to the portlet's `processEvent` method.

Since:
  2.0
See Also:
  `ActionRequest`, `PortletRequest`

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

`PortletRequest.P3PUserInfos`

### Field Summary

### Fields inherited from interface javax.portlet.PortletRequest

`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`Event` `getEvent()` Returns the event that triggered the call to the processEvent method.
`String` `getMethod()` Returns the name of the HTTP method with which the original action request was made, for example, POST, or PUT.

### Methods inherited from interface javax.portlet.PortletRequest

`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

### Method Detail

#### getEvent

    Event getEvent()

Returns the event that triggered the call to the processEvent method.

Returns:
  the event that triggered the current processEvent call.

#### getMethod

    String getMethod()

Returns the name of the HTTP method with which the original action request was made, for example, POST, or PUT.

Returns:
  a String specifying the name of the HTTP method with which this request was made
Since:
  2.0